#include "Menu.h"

Menu::Menu(char *t) {
  Title = t;
  NumOpt=0;
}

Menu::~Menu() {
  for (int i=1;i<=NumOpt;i++) {
    free(Opzioni[i]);
   }
}

void Menu::addOpt(char *txt) {
  char *nt=(char*)malloc(sizeof(char)*(strlen(txt)+1));
  strcpy(nt,txt);
  NumOpt++;
  Opzioni[NumOpt]=nt;	
}

int Menu::select() {
  if (NumOpt==0) return 0;
  int i;
  int scelta=0;
  do {	
    cout << endl << Title << endl;
    for(i=1;i<=NumOpt;i++)
      cout  << "  "<< i << "->  " << Opzioni[i] << endl; 
    printf("SCEGLI: ");
    scelta = getIntero();
    if (scelta<1 || scelta>NumOpt)
      scelta=0;		
   } while (!scelta);
  return scelta;
}

int Menu::getIntero() {
  int intero;
  bool prima_volta = true;
  char *integer, numero[50], **endptr = (char**)malloc(sizeof(char*));
  
  do {
    if(!prima_volta) {
      prima_volta = true;
      cout << "ERORRE: richiesto l'inserimento di un numero!" << endl;
    }
    cin >> numero;
    integer = strtok(numero, " \t\r.,");
    intero = strtol(integer, endptr, 10);
  } while (**endptr != '\0');    
  return intero;
}
