/************************************************
**** PROGRESSBAR:                            ****
**** Stampa una barra d'avanzamento.         ****
****                                         ****
**** Alessandro Santuari   6 SI              ****
**** Larcheri Paolo       52 SI              ****
************************************************/

#if !defined(PROGRESSBAR_H_INCLUDED)
#define PROGRESSBAR_H_INCLUDED

class ProgressBar
{
public:
   ProgressBar(char *title,int npassi,int prefresh, int lenbar, char step);
   virtual ~ProgressBar();
   
   void Advance();          // avanza di un passo
   
private:

   char *Title;             // Nome della barra
   int NPassi;              // numero di passi totali da effettuare
   int LenBar;              // lunghezza a video della barra
   int PRefresh;            // ogni quanti passi controllare la percentuale
   char Step;               // carattere di riempimento della barra
   

   int CountStep;           // passi gia' effettuati
   int prevperc;            // percentuale raggiunta al passo precente
   int RefreshCounter;      // quanto manca prima del refresh
};


#endif // !defined(PROGRESSBAR_H_INCLUDED)
