/**************************************/
/********LARHCERI PAOLO 52SI***********/
/**************************************/


#ifndef ELEM_H
#define ELEM_H

 #ifndef STDLIB
  #define STDLIB
  #include <stdlib.h>
 #endif

class Elem {

  private:
    
    long int chiave;/* valore dell'elemento */
    int grado;      /* numero di figli */
    int marcato;    /* indica se il nodo e' marcato */
    
    Elem *padre;    /* punta al nodo-padre */ 
    Elem *figli;    /* punta alla lista dei figli */
    Elem *destro;   /* punta al prossimo elemento a destra */
    Elem *sinistro; /* punta al prossimo elemento a sinistra */
    
  public:
    
    Elem(long int);
    ~Elem();
    
    long int getChiave();
    int getGrado();
    int isMarked();
    Elem *getPadre();
    Elem *getFigli();
    Elem *getDestro();
    Elem *getSinistro();
    
    void setChiave(long int);
    void setGrado(int);
    void setPadre(Elem*);
    void setFigli(Elem*);
    void setDestro(Elem*);
    void setSinistro(Elem*);
    void mark();
    void unmark();
};


#endif
