#include "Menu.h"

Menu::Menu(char *t) {
  Title = t;
  NumOpt=0;
}

Menu::~Menu() {
  for (int i=1;i<=NumOpt;i++) {
    free(Opzioni[i]);
   }
}

void Menu::addOpt(char *txt) {
  char *nt=(char*)malloc(sizeof(char)*(strlen(txt)+1));
  strcpy(nt,txt);
  NumOpt++;
  Opzioni[NumOpt]=nt;	
}

int Menu::select() {
  if (NumOpt==0) return 0;
  int i;
  int scelta=0;
  char Buf[8];
  do {	
    cout << endl << Title << endl;
    for(i=1;i<=NumOpt;i++)
      cout  << "  "<< i << "->  " << Opzioni[i] << endl; 
    printf("SCEGLI: ");
    fgets(Buf,7,stdin);
    scelta=atoi(Buf);
    if (scelta<1 || scelta>NumOpt)
      scelta=0;		
   } while (!scelta);
  return scelta;
}
